The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Релиз свободного видеодрайвера xf86-video-ati 6.14.1

18.03.2011 13:40

Вышел релиз открытого X.Org-драйвера xf86-video-ati 6.14.1, в котором, кроме исправления около 50 накопившихся ошибок, реализовано несколько новшеств: добавлена поддержка GPU Radeon HD 6900 "Cayman" (KMS-модуль для поддержки данных карт будет включен только в состав будущей версии Linux-ядра 2.6.39); устранены проблемы со сборкой при использовании X Server 1.10; добавлена поддержка работы карт r6xx+ на "big endian" системах.

  1. Главная ссылка к новости (http://lists.freedesktop.org/a...)
  2. OpenNews: Релиз свободного видеодрайвера xf86-video-ati 6.14.0
  3. OpenNews: Компания AMD открыла код драйверов для видеокарт серии Radeon HD 6000
  4. OpenNews: Релиз X.Org 7.6
  5. OpenNews: Компания AMD опубликовала документацию по архитектуре видеокарт Radeon HD 6900
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/29957-xorg
Ключевые слова: xorg, ati, radeon, driver
При перепечатке указание ссылки на opennet.ru обязательно


Обсуждение (28) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Zenittur (?), 15:50, 18/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Молодцы, хорошо что релизы такие частые! Жаль что только из-за того что нужно добавить поддержку Cayman.
     
     
  • 2.2, User294 (ok), 16:03, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • –1 +/
    А вот это:
    > около 50 накопившихся ошибок

    ...типа совсем не в счет? Или ты любишь баги в видеодрайверах? Я не спорю, чем круче баг - тем лучше. В идеале должно становиться ничего не видно, такое даже бывает изредка с некоторыми версиями дров и видяхами :))). Правда обычно такое долго не живет т.к. пользователи почему-то не владеют слепым десятипальцевым методом печати и не мене слепым пятипальцевым навигированием мышкой и начинают дружно извергать кирпичи :)))

     
     
  • 3.8, Zenitur (ok), 17:39, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Да я бы подождал. 50 мелких редко проявляющихся багов исправили, 10000 оставили. Если даже после обновления с 6.13.2 до 6.14.0 не изменилось ну совсем ничего, то теперь не поменялось тем более. FPS в играх всё тот же. Баги отрисови всё те же. А в остальном ati хорошо работал и 5 лет назад.
     
     
  • 4.17, rshadow (?), 20:52, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    ...10000 оставили...
    ...Баги отрисови всё те же...
    ...ati хорошо работал и 5 лет назад...

    Для любителей ATI, взаимоисключающие параграфы это норма?

     
     
  • 5.23, Zenitur (ok), 22:44, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Всё просто. 5 лет назад ati не умел 3D-ускорение, а от vesa отличался только 2D-ускорением, работающим хорошо. Проприетарный fglrx в это время умел 3D и страшно сбоил. Теперь ati по-прежнему хорошо работает и в нём появляется 3D-ускорение...
     

  • 1.3, iZEN (ok), 16:21, 18/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    >KMS-модуль для поддержки данных карт будет включен только в состав будущей версии Linux-ядра 2.6.39

    А чего ж сразу весь драйвер не включить в ядро?

     
     
  • 2.4, Andrey Mitrofanov (?), 16:33, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • –1 +/
    А чего ж сразу не сделать (не поспонсировать?) KMS для любимай Фри?

    А то всё батхёрт-стач в каждой теме про.

     
     
  • 3.5, iZEN (ok), 16:44, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Например, драйвер NVIDIA уже неотделим от ядра Linux в том смысле, что определённая версия драйвера устанавливается только с определённой версией ядра. ATI-драйвер пошёл по тому же пути: фактическое разделение кода только из-за эфемерной модульности и призрачной независимости Xorg от Linux — для xf86-video-ati не составит проблемы быть полностью включенным в ядро. Впрочем, кода Xorg это тоже касается.
     
     
  • 4.7, Andrey Mitrofanov (?), 17:27, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >драйвер NVIDIA уже
    >только с определённой версией ядра.
    >ATI-драйвер пошёл по тому же пути
    >для xf86-video-ati не составит проблемы быть полностью включенным в ядро.

    Поясните, пожалуйста, Вы считаете, что из несостоятельности авторов проприертарных драйверов в плане поддержки более чем 1 версии ядра linux как-то _следует_ то, что свободный драйвер video-ati _должен_ переместиться их xorg-а в linux?

    Это что-то вроде "они убили Ленни^Wпроприертарный дрывер, два штука, теперь пусть все трое пойдут и убьются апстену" ?

     
     
  • 5.18, Аноним (-), 21:24, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > проприертарных драйверов в плане поддержки более чем 1 версии ядра linux

    Они как раз работают с большим количеством версия ядра. А открытые только с несколькими последними

     

  • 1.6, Аноним (6), 16:58, 18/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    1,5 года жду поддержки (rv770), HD 48XX.
    И чую что зря
     
     
  • 2.9, Zenitur (ok), 17:39, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > 1,5 года жду поддержки (rv770), HD 48XX.
    > И чую что зря

    А в проприетарном как?

     
  • 2.10, Аноним (-), 17:40, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > 1,5 года жду поддержки (rv770), HD 48XX.

    А что у Вас не работает? У меня 4770, особых проблем не испытываю.

     

  • 1.11, tehnik_ (ok), 18:04, 18/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    когда же дрова под фряху на интел-видео нормальные сделают
     
     
  • 2.12, Andrey Mitrofanov (?), 18:12, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Наверное, когда это _нужно будет кому-то. ...из тех, кто __делает__.
     

  • 1.13, Аноним (-), 19:50, 18/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Когда уже мой Radeon 9600 будет нормальный FPS показывать в Quake3!??
     
     
  • 2.20, NMorozov (?), 22:31, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    У тебя есть два пути
    1) Поставить проприетарный драйвер
    2) поставить win
     
     
  • 3.21, NMorozov (?), 22:32, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    думаю никогда
     
     
  • 4.22, NMorozov (?), 22:33, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > думаю никогда

    Ибо проприетарный драйвер 9600 не поддерживает

     
     
  • 5.24, Zenitur (ok), 22:45, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Поддерживает. Поставь икс-сервер 1.5 и ядро 2.6.28. Можно даже дистрибутив alt linux 4.1.1. Заодно получишь KDE 3 вместо отстойного 4.
     
     
  • 6.26, Vitaly_loki (ok), 14:07, 20/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Заодно получишь KDE 3 вместо отстойного 4.

    А можно еще KDE2 поставить вместо отстойного KDE3

     

  • 1.14, Аноним (-), 20:25, 18/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    (EE) AIGLX error: Calling driver entry point failed
    (EE) AIGLX: reverting to software rendering

    И какого же этот "драйвер" не работает?
    Gentoo, HD4250, в ядро прошивка от R600 загружена. Где есть инструкция по косякам этого драйвера с примером xorg.conf?

     
     
  • 2.15, iZEN (ok), 20:30, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Дать тебе рабочий xorg.conf xf86-video-ati 6.14.0  из FreeBSD?
     
     
  • 3.16, Аноним (16), 20:37, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    на pastebin можно?
     
     
  • 4.19, iZEN (ok), 22:30, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    http://izenfire.blogspot.com/2010/03/amd-785g-phenom-ii-x4-810.html
     
  • 2.25, Zenitur (ok), 22:46, 18/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > (EE) AIGLX error: Calling driver entry point failed
    > (EE) AIGLX: reverting to software rendering
    > И какого же этот "драйвер" не работает?
    > Gentoo, HD4250, в ядро прошивка от R600 загружена. Где есть инструкция по
    > косякам этого драйвера с примером xorg.conf?

    Попробуй x-server 1.9.4 вместо 1.10.

     

  • 1.27, вс (?), 16:35, 20/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Иногда так обидно, что у меня не радеон - для него то хоть какие то свободные драйвера есть, а сиё маркетинговое убожество полно кривых оптимусов и хибрид сли. Ненависть!
     
  • 1.28, iZEN (ok), 01:40, 26/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    На FreeBSD 8.2-STABLE обновление порта xf86-video-ati до версии 6.14.1 вызвало артефакты изображения в X'ах под Xfce 4.8 и последующее зависание.

    Да, олинуксячивание X-десктопа идёт явно не на пользу не-Linux системам.

     
     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    PostgresPro
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2022 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру